net.minecraft.entity

## Class DataWatcher

- java.lang.Object
- - net.minecraft.entity.DataWatcher

-     public class DataWatcher
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataWatcher.WatchableObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataWatcher(Entity p_i45313_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(int par1, java.lang.Object par2Obj)`
    `void` | `addObjectByDataType(int par1, int par2)`
    `void` | `func_111144_e()`
    `void` | `func_151509_a(PacketBuffer p_151509_1_)`
    `java.util.List` | `getAllWatched()`
    `java.util.List` | `getChanged()`
    `boolean` | `getIsBlank()`
    `byte` | `getWatchableObjectByte(int par1)`
    `float` | `getWatchableObjectFloat(int par1)`
    `int` | `getWatchableObjectInt(int par1)`
    `ItemStack` | `getWatchableObjectItemStack(int par1)`
    `short` | `getWatchableObjectShort(int par1)`
    `java.lang.String` | `getWatchableObjectString(int par1)`
    `boolean` | `hasChanges()`
    `static java.util.List` | `readWatchedListFromPacketBuffer(PacketBuffer p_151508_0_)`
    `void` | `setObjectWatched(int par1)`
    `void` | `updateObject(int par1, java.lang.Object par2Obj)`
    `void` | `updateWatchedObjectsFromList(java.util.List par1List)`
    `static void` | `writeWatchedListToPacketBuffer(java.util.List p_151507_0_, PacketBuffer p_151507_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWatcher

          public DataWatcher(Entity p_i45313_1_)

  - ### Method Detail

    - #### addObject

          public void addObject(int par1,
                       java.lang.Object par2Obj)

    - #### addObjectByDataType

          public void addObjectByDataType(int par1,
                                 int par2)

    - #### getWatchableObjectByte

          public byte getWatchableObjectByte(int par1)

    - #### getWatchableObjectShort

          public short getWatchableObjectShort(int par1)

    - #### getWatchableObjectInt

          public int getWatchableObjectInt(int par1)

    - #### getWatchableObjectFloat

          public float getWatchableObjectFloat(int par1)

    - #### getWatchableObjectString

          public java.lang.String getWatchableObjectString(int par1)

    - #### getWatchableObjectItemStack

          public ItemStack getWatchableObjectItemStack(int par1)

    - #### updateObject

          public void updateObject(int par1,
                          java.lang.Object par2Obj)

    - #### setObjectWatched

          public void setObjectWatched(int par1)

    - #### hasChanges

          public boolean hasChanges()

    - #### writeWatchedListToPacketBuffer

          public static void writeWatchedListToPacketBuffer(java.util.List p_151507_0_,
                                            PacketBuffer p_151507_1_)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getChanged

          public java.util.List getChanged()

    - #### func_151509_a

          public void func_151509_a(PacketBuffer p_151509_1_)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getAllWatched

          public java.util.List getAllWatched()

    - #### readWatchedListFromPacketBuffer

          public static java.util.List readWatchedListFromPacketBuffer(PacketBuffer p_151508_0_)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### updateWatchedObjectsFromList

          public void updateWatchedObjectsFromList(java.util.List par1List)

    - #### getIsBlank

          public boolean getIsBlank()

    - #### func_111144_e

          public void func_111144_e()